For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of coupons
      • POSTCreate a coupon
      • GETGet a coupon
      • PATCHUpdate a coupon
      • GETGet a list of coupon redemptions
      • POSTActivate a coupon
      • POSTDeactivate a coupon
      • POSTDeprecate a coupon
      • POSTArchive a coupon
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APICoupons

Get a list of coupons

GET
/v:version/coupons
GET
/v:version/coupons
$curl https://test.api.solvimon.com/v1/coupons \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "name": "string",
7 "reference": "string",
8 "description": "string",
9 "status": "DRAFT",
10 "discount": {
11 "type": "PERCENTAGE",
12 "percentage": "string",
13 "amount": {
14 "quantity": "string",
15 "currency": "AED"
16 },
17 "usage": {
18 "meter_value_id": "string",
19 "number": "string",
20 "amount": {
21 "quantity": "string",
22 "currency": "AED"
23 }
24 }
25 },
26 "duration": {
27 "type": "ONE_TIME",
28 "period": {
29 "type": "DAY",
30 "value": 1
31 }
32 },
33 "limited_to": {
34 "product_category_ids": [
35 "string"
36 ],
37 "product_ids": [
38 "string"
39 ],
40 "product_item_ids": [
41 "string"
42 ],
43 "product_categories": [
44 {
45 "object_type": "string",
46 "id": "string",
47 "name": "string",
48 "reference": "string",
49 "description": "string",
50 "tax_category": "STANDARD",
51 "display_order": 1,
52 "customer_id": "string"
53 }
54 ],
55 "products": [
56 {
57 "object_type": "string",
58 "id": "string",
59 "category_id": "string",
60 "category": {
61 "object_type": "string",
62 "id": "string",
63 "name": "string",
64 "reference": "string",
65 "description": "string",
66 "tax_category": "STANDARD",
67 "display_order": 1,
68 "customer_id": "string"
69 },
70 "parent_product_id": "string",
71 "name": "string",
72 "reference": "string",
73 "description": "string",
74 "status": "DRAFT",
75 "product_type": "DEFAULT",
76 "tax_category": "STANDARD",
77 "features": [
78 {
79 "id": "string",
80 "reference": "string"
81 }
82 ],
83 "custom_fields": [
84 {
85 "id": "string",
86 "reference": "string",
87 "value": "string",
88 "values": [
89 "string"
90 ],
91 "integration_details": {
92 "id": "string",
93 "reference": "string",
94 "payment_gateway_variant": "ADYEN",
95 "adyen": {
96 "recurring_detail_reference": "string"
97 },
98 "stripe": {
99 "payment_method_id": "string"
100 }
101 }
102 }
103 ],
104 "display_order": 1,
105 "linked_integrations": [
106 {
107 "id": "string",
108 "link_details": [
109 {
110 "url": "string",
111 "custom_field_name": "string"
112 }
113 ]
114 }
115 ],
116 "billing_entity_id": "string",
117 "customer_id": "string"
118 }
119 ],
120 "product_items": [
121 {
122 "object_type": "string",
123 "id": "string",
124 "product_id": "string",
125 "product": {
126 "object_type": "string",
127 "id": "string",
128 "category_id": "string",
129 "category": {
130 "object_type": "string",
131 "id": "string",
132 "name": "string",
133 "reference": "string",
134 "description": "string",
135 "tax_category": "STANDARD",
136 "display_order": 1,
137 "customer_id": "string"
138 },
139 "parent_product_id": "string",
140 "name": "string",
141 "reference": "string",
142 "description": "string",
143 "status": "DRAFT",
144 "product_type": "DEFAULT",
145 "tax_category": "STANDARD",
146 "features": [
147 {
148 "id": "string",
149 "reference": "string"
150 }
151 ],
152 "custom_fields": [
153 {
154 "id": "string",
155 "reference": "string",
156 "value": "string",
157 "values": [
158 "string"
159 ],
160 "integration_details": {
161 "id": "string",
162 "reference": "string",
163 "payment_gateway_variant": "ADYEN",
164 "adyen": {
165 "recurring_detail_reference": "string"
166 },
167 "stripe": {
168 "payment_method_id": "string"
169 }
170 }
171 }
172 ],
173 "display_order": 1,
174 "linked_integrations": [
175 {
176 "id": "string",
177 "link_details": [
178 {
179 "url": "string",
180 "custom_field_name": "string"
181 }
182 ]
183 }
184 ],
185 "billing_entity_id": "string",
186 "customer_id": "string"
187 },
188 "name": "string",
189 "status": "DRAFT",
190 "reference": "string",
191 "description": "string",
192 "type": "REVENUE",
193 "model_type": "USAGE_BASED",
194 "usage_based": {
195 "meter_value_calculation_id": "string",
196 "meter_value_calculation": {
197 "object_type": "string",
198 "id": "string",
199 "reference": "string",
200 "name": "string",
201 "description": "string",
202 "calculation_type": "SUM",
203 "persist": true,
204 "meter_id": "string",
205 "meter": {
206 "object_type": "string",
207 "id": "string",
208 "reference": "string",
209 "name": "string",
210 "description": "string",
211 "status": "DRAFT",
212 "meter_values": [
213 {
214 "id": "string",
215 "object": {
216 "object_type": "string",
217 "id": "string",
218 "reference": "string",
219 "name": "string",
220 "description": "string",
221 "status": "DRAFT",
222 "type": "NUMBER"
223 },
224 "required": true
225 }
226 ],
227 "meter_properties": [
228 {
229 "id": "string",
230 "object": {
231 "object_type": "string",
232 "id": "string",
233 "reference": "string",
234 "name": "string",
235 "description": "string",
236 "status": "DRAFT",
237 "type": "NUMBER",
238 "enum_values": [
239 "string"
240 ]
241 },
242 "required": true
243 }
244 ]
245 },
246 "meter_value_id": "string",
247 "meter_value": {
248 "object_type": "string",
249 "id": "string",
250 "reference": "string",
251 "name": "string",
252 "description": "string",
253 "status": "DRAFT",
254 "type": "NUMBER"
255 },
256 "meter_property_id": "string",
257 "meter_property": {
258 "object_type": "string",
259 "id": "string",
260 "reference": "string",
261 "name": "string",
262 "description": "string",
263 "status": "DRAFT",
264 "type": "NUMBER",
265 "enum_values": [
266 "string"
267 ]
268 }
269 },
270 "tiering_meter_value_calculation_id": "string",
271 "tiering_meter_value_calculation": {
272 "object_type": "string",
273 "id": "string",
274 "reference": "string",
275 "name": "string",
276 "description": "string",
277 "calculation_type": "SUM",
278 "persist": true,
279 "meter_id": "string",
280 "meter": {
281 "object_type": "string",
282 "id": "string",
283 "reference": "string",
284 "name": "string",
285 "description": "string",
286 "status": "DRAFT",
287 "meter_values": [
288 {
289 "id": "string",
290 "object": {
291 "object_type": "string",
292 "id": "string",
293 "reference": "string",
294 "name": "string",
295 "description": "string",
296 "status": "DRAFT",
297 "type": "NUMBER"
298 },
299 "required": true
300 }
301 ],
302 "meter_properties": [
303 {
304 "id": "string",
305 "object": {
306 "object_type": "string",
307 "id": "string",
308 "reference": "string",
309 "name": "string",
310 "description": "string",
311 "status": "DRAFT",
312 "type": "NUMBER",
313 "enum_values": [
314 "string"
315 ]
316 },
317 "required": true
318 }
319 ]
320 },
321 "meter_value_id": "string",
322 "meter_value": {
323 "object_type": "string",
324 "id": "string",
325 "reference": "string",
326 "name": "string",
327 "description": "string",
328 "status": "DRAFT",
329 "type": "NUMBER"
330 },
331 "meter_property_id": "string",
332 "meter_property": {
333 "object_type": "string",
334 "id": "string",
335 "reference": "string",
336 "name": "string",
337 "description": "string",
338 "status": "DRAFT",
339 "type": "NUMBER",
340 "enum_values": [
341 "string"
342 ]
343 }
344 },
345 "report_meter_value_calculation_ids": [
346 "string"
347 ],
348 "conditions": {
349 "name": "string",
350 "expression": {
351 "operator": "AND",
352 "operands": [
353 {
354 "meter_property": {
355 "id": "string",
356 "reference": "string",
357 "meter_property": {
358 "object_type": "string",
359 "id": "string",
360 "reference": "string",
361 "name": "string",
362 "description": "string",
363 "status": "DRAFT",
364 "type": "NUMBER",
365 "enum_values": [
366 "string"
367 ]
368 },
369 "value": "string",
370 "values": [
371 "string"
372 ],
373 "comparator": "EQUALS"
374 },
375 "expression": {}
376 }
377 ]
378 },
379 "meter_properties": [
380 {
381 "id": "string",
382 "reference": "string",
383 "meter_property": {
384 "object_type": "string",
385 "id": "string",
386 "reference": "string",
387 "name": "string",
388 "description": "string",
389 "status": "DRAFT",
390 "type": "NUMBER",
391 "enum_values": [
392 "string"
393 ]
394 },
395 "value": "string",
396 "values": [
397 "string"
398 ],
399 "comparator": "EQUALS"
400 }
401 ]
402 }
403 },
404 "credits": {
405 "credit_type_id": "string",
406 "credit_type": {
407 "object_type": "string",
408 "id": "string",
409 "reference": "string",
410 "status": "DRAFT",
411 "name": "string",
412 "description": "string",
413 "unit_name": {
414 "singular": "string",
415 "plural": "string"
416 },
417 "created_at": "string",
418 "updated_at": "string"
419 }
420 },
421 "meter_value_calculation": {
422 "object_type": "string",
423 "id": "string",
424 "reference": "string",
425 "name": "string",
426 "description": "string",
427 "calculation_type": "SUM",
428 "persist": true,
429 "meter_id": "string",
430 "meter": {
431 "object_type": "string",
432 "id": "string",
433 "reference": "string",
434 "name": "string",
435 "description": "string",
436 "status": "DRAFT",
437 "meter_values": [
438 {
439 "id": "string",
440 "object": {
441 "object_type": "string",
442 "id": "string",
443 "reference": "string",
444 "name": "string",
445 "description": "string",
446 "status": "DRAFT",
447 "type": "NUMBER"
448 },
449 "required": true
450 }
451 ],
452 "meter_properties": [
453 {
454 "id": "string",
455 "object": {
456 "object_type": "string",
457 "id": "string",
458 "reference": "string",
459 "name": "string",
460 "description": "string",
461 "status": "DRAFT",
462 "type": "NUMBER",
463 "enum_values": [
464 "string"
465 ]
466 },
467 "required": true
468 }
469 ]
470 },
471 "meter_value_id": "string",
472 "meter_value": {
473 "object_type": "string",
474 "id": "string",
475 "reference": "string",
476 "name": "string",
477 "description": "string",
478 "status": "DRAFT",
479 "type": "NUMBER"
480 },
481 "meter_property_id": "string",
482 "meter_property": {
483 "object_type": "string",
484 "id": "string",
485 "reference": "string",
486 "name": "string",
487 "description": "string",
488 "status": "DRAFT",
489 "type": "NUMBER",
490 "enum_values": [
491 "string"
492 ]
493 }
494 },
495 "tax_category": "STANDARD",
496 "display_order": 1,
497 "unit_name": {
498 "singular": "string",
499 "plural": "string"
500 },
501 "custom_fields": [
502 {
503 "id": "string",
504 "reference": "string",
505 "value": "string",
506 "values": [
507 "string"
508 ],
509 "integration_details": {
510 "id": "string",
511 "reference": "string",
512 "payment_gateway_variant": "ADYEN",
513 "adyen": {
514 "recurring_detail_reference": "string"
515 },
516 "stripe": {
517 "payment_method_id": "string"
518 }
519 }
520 }
521 ],
522 "customer_id": "string",
523 "meter_value_calculation_id": "string",
524 "report_meter_value_calculation_ids": [
525 "string"
526 ]
527 }
528 ]
529 },
530 "start_at": "string",
531 "end_at": "string",
532 "maximum_redemptions": 1,
533 "number_of_redemptions": 1,
534 "created_at": "string",
535 "updated_at": "string"
536 }
537 ],
538 "links": {
539 "first": "string",
540 "previous": "string",
541 "current": "string",
542 "next": "string"
543 },
544 "limit": 1,
545 "page": 1,
546 "total_number_of_pages": 1
547}
Requires the COUPON.VIEW permission.
Was this page helpful?
Previous

Create a coupon

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

statuses[]list of stringsOptional
Filter by coupon status.
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list.
pageintegerOptional
The page which is going to be shown.
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error